import { markRaw as c, createVNode as d, render as m } from "vue";
const i = (n, t, r) => {
  if (!t) throw new Error("No current instance found");
  const o = document.createElement("div");
  document.body.appendChild(o);
  const a = c(n), e = d(a, r);
  return e.appContext = t.appContext, m(e, o), { container: o, vNode: e };
};
export {
  i as c
};
